framework:
    test: ~
    secret: 'test'
    session:
        storage_id: 'session.storage.mock_file'
    router:
        resource: "%kernel.root_dir%/config/routing.yml"
        strict_requirements: ~
    fragments:       ~
    http_method_override: true

services:
    _defaults:
        public: true
    httplug.client.mock:
        class: 'Http\Mock\Client'
    httplug.client.default: '@httplug.client.mock'
    Nyholm\Psr7\Factory\Psr17Factory: ~

jose:
    jku_factory:
        enabled: true
        client: 'httplug.client.mock'
        request_factory: 'Nyholm\Psr7\Factory\Psr17Factory'
    checkers:
        claims:
            checker1:
                is_public: true
                claims: ['exp', 'iat', 'nbf', 'custom_checker']
        headers:
            checker1:
                is_public: true
                headers: ['custom_checker']
    jws:
        builders:
            builder1:
                signature_algorithms: ['HS256', 'RS256', 'ES256']
                is_public: true
        verifiers:
            loader1:
                signature_algorithms: ['HS256', 'RS256', 'ES256']
                is_public: true
        serializers:
            jws_serializer1:
                serializers: ['jws_compact', 'jws_json_flattened', 'jws_json_general']
                is_public: true
        loaders:
            jws_loader1:
                serializers: ['jws_compact']
                signature_algorithms: ['HS256']
                is_public: true
    jwe:
        builders:
            builder1:
                key_encryption_algorithms: ['RSA-OAEP-256', 'A256KW']
                content_encryption_algorithms: ['A256CBC-HS512']
                is_public: true
        decrypters:
            loader1:
                key_encryption_algorithms: ['RSA-OAEP-256', 'A256KW']
                content_encryption_algorithms: ['A256CBC-HS512']
                is_public: true
        serializers:
            jwe_serializer1:
                serializers: ['jwe_compact', 'jwe_json_flattened', 'jwe_json_general']
                is_public: true
        loaders:
            jwe_loader1:
                serializers: ['jwe_compact']
                key_encryption_algorithms: ['RSA-OAEP-256']
                content_encryption_algorithms: ['A256CBC-HS512']
                compression_methods: []
                is_public: true
    nested_token:
        loaders:
            nested_token_loader_1:
                signature_algorithms: ['PS256']
                key_encryption_algorithms: ['RSA-OAEP']
                content_encryption_algorithms: ['A128GCM']
                jws_serializers: ['jws_compact']
                jwe_serializers: ['jwe_compact']
                is_public: true
        builders:
            nested_token_builder_1:
                signature_algorithms: ['PS256']
                key_encryption_algorithms: ['RSA-OAEP']
                content_encryption_algorithms: ['A128GCM']
                jws_serializers: ['jws_compact']
                jwe_serializers: ['jwe_compact']
                is_public: true
    keys:
        jwk1:
            jwk:
                value: '{"kty":"oct","k":"dzI6nbW4OcNF-AtfxGAmuyz7IpHRudBI0WgGjZWgaRJt6prBn3DARXgUR8NVwKhfL43QBIU2Un3AvCGCHRgY4TbEqhOi8-i98xxmCggNjde4oaW6wkJ2NgM3Ss9SOX9zS3lcVzdCMdum-RwVJ301kbin4UtGztuzJBeg5oVN00MGxjC2xWwyI0tgXVs-zJs5WlafCuGfX1HrVkIf5bvpE0MQCSjdJpSeVao6-RSTYDajZf7T88a2eVjeW31mMAg-jzAWfUrii61T_bYPJFOXW8kkRWoa1InLRdG6bKB9wQs9-VdXZP60Q4Yuj_WZ-lO7qV9AEFrUkkjpaDgZT86w2g"}'
                is_public: true
        certificate1:
            certificate:
                path: '%kernel.root_dir%/config/keys/google.crt'
                additional_values:
                    use: 'sig'
                    alg: 'RS256'
                is_public: true
        x5c1:
            x5c:
                value: |
                    -----BEGIN CERTIFICATE-----
                    MIICEjCCAXsCAg36MA0GCSqGSIb3DQEBBQUAMIGbMQswCQYDVQQGEwJKUDEOMAwG
                    A1UECBMFVG9reW8xEDAOBgNVBAcTB0NodW8ta3UxETAPBgNVBAoTCEZyYW5rNERE
                    MRgwFgYDVQQLEw9XZWJDZXJ0IFN1cHBvcnQxGDAWBgNVBAMTD0ZyYW5rNEREIFdl
                    YiBDQTEjMCEGCSqGSIb3DQEJARYUc3VwcG9ydEBmcmFuazRkZC5jb20wHhcNMTIw
                    ODIyMDUyNjU0WhcNMTcwODIxMDUyNjU0WjBKMQswCQYDVQQGEwJKUDEOMAwGA1UE
                    CAwFVG9reW8xETAPBgNVBAoMCEZyYW5rNEREMRgwFgYDVQQDDA93d3cuZXhhbXBs
                    ZS5jb20wXDANBgkqhkiG9w0BAQEFAANLADBIAkEAm/xmkHmEQrurE/0re/jeFRLl
                    8ZPjBop7uLHhnia7lQG/5zDtZIUC3RVpqDSwBuw/NTweGyuP+o8AG98HxqxTBwID
                    AQABMA0GCSqGSIb3DQEBBQUAA4GBABS2TLuBeTPmcaTaUW/LCB2NYOy8GMdzR1mx
                    8iBIu2H6/E2tiY3RIevV2OW61qY2/XRQg7YPxx3ffeUugX9F4J/iPnnu1zAxxyBy
                    2VguKv4SWjRFoRkIfIlHX0qVviMhSlNy2ioFLy7JcPZb+v3ftDGywUqcBiVDoea0
                    Hn+GmxZA
                    -----END CERTIFICATE-----
                additional_values:
                    use: 'sig'
                    alg: 'RS256'
                is_public: true
        file1:
            file:
                path: '%kernel.root_dir%/config/keys/private.encrypted.key'
                password: 'tests'
                additional_values:
                    use: 'enc'
                    alg: 'RS512'
                is_public: true
        jwkset1:
            jwkset:
                key_set: 'jose.key_set.jwkset1'
                index: 0
                is_public: true
        secret1:
            secret:
                secret: 'This is my secret'
                additional_values:
                    use: 'enc'
                    alg: 'RS512'
                is_public: true
    key_sets:
        jwkset1:
            jwkset:
                value: '{"keys":[{"kty":"oct","k":"dzI6nbW4OcNF-AtfxGAmuyz7IpHRudBI0WgGjZWgaRJt6prBn3DARXgUR8NVwKhfL43QBIU2Un3AvCGCHRgY4TbEqhOi8-i98xxmCggNjde4oaW6wkJ2NgM3Ss9SOX9zS3lcVzdCMdum-RwVJ301kbin4UtGztuzJBeg5oVN00MGxjC2xWwyI0tgXVs-zJs5WlafCuGfX1HrVkIf5bvpE0MQCSjdJpSeVao6-RSTYDajZf7T88a2eVjeW31mMAg-jzAWfUrii61T_bYPJFOXW8kkRWoa1InLRdG6bKB9wQs9-VdXZP60Q4Yuj_WZ-lO7qV9AEFrUkkjpaDgZT86w2g"},{"kty":"oct","k":"bwIAv5Nn-fo8p4LCEvM4IR9eLXgzJRs8jXCLb3xR0tDJGiZ46KheO4ip6htFKyN2aqJqlNi9-7hB6I1aLLy1IRT9-vcBoCSGu977cNAUuRLkRp7vo8s6MsxhB8WvQBDRZghV7jIYaune-3vbE7iDU2AESr8BUtorckLoO9uW__fIabaa3hJMMQIHCzYQbJKZvlCRCKWMk2H_zuS4JeDFTvyZH1skJYF_TET1DrCZHMPicw-Yk3_m2P-ilC-yidPPoVzeU8Jj3tQ6gtX3975qiQW7pt2qbgjKAuq2wsz_9hxLBtMB5rQPafFoxop7O4BklvZ9-ECcK6dfI2CAx9_tjQ"}]}'
                is_public: true
        jku1:
            jku:
                url: 'https://foo.bar/keys.jku'
                is_public: true
        x5u1:
            x5u:
                url: 'https://foo.bar/keys.x5u'
                is_public: true
    jwk_uris:
        jwkset1:
            id: 'jose.key_set.jwkset1'
            path: '/1.jwkset'

httplug:
    profiling: false
    discovery:
        client: false
        async_client: false
